rules:
  # Bronze
  action-setup: done
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency:
    status: todo
    comment: |
      Mastodon.py does not have CI build/publish.
  docs-actions: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration do not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: todo
    comment: |
      Awaiting legacy Notify deprecation.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      There are no configuration options.
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates:
    status: todo
    comment: |
      Awaiting legacy Notify deprecation.
  reauthentication-flow:
    status: todo
    comment: |
      Waiting to move to oAuth.
  test-coverage:
    status: todo
    comment: |
      Awaiting legacy Notify deprecation.

  # Gold
  devices: done
  diagnostics: done
  discovery-update-info:
    status: exempt
    comment: |
      Web service does not support discovery.
  discovery:
    status: exempt
    comment: |
      Web service does not support discovery.
  docs-data-update: done
  docs-examples: done
  docs-known-limitations: todo
  docs-supported-devices: done
  docs-supported-functions: done
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      This integration connects to a single web service.
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow:
    status: todo
    comment: |
      Waiting to move to OAuth.
  repair-issues: done
  stale-devices:
    status: exempt
    comment: |
      Web service does not go stale.

  # Platinum
  async-dependency: todo
  inject-websession: todo
  strict-typing: done
